=== src/pentobi_gtp/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)

add_executable(pentobi-gtp
  Engine.cpp
  Engine.h
  Main.cpp
)

target_link_libraries(pentobi-gtp
  pentobi_mcts
  pentobi_base
  boardgame_base
  boardgame_sgf
  boardgame_util
  boardgame_sys
  boardgame_gtp
  )

# On Ubuntu 13.10, pthreads is not automatically linked even if it required
# by std::thread (however it is automatically linked if we link QtCore),
# so we explicitely use FindThreads() and link it here.
if (DEFINED CMAKE_THREAD_LIBS_INIT)
  target_link_libraries(pentobi-gtp ${CMAKE_THREAD_LIBS_INIT})
endif()

if(MINGW AND (CMAKE_SIZEOF_VOID_P EQUAL "4"))
  set_target_properties(pentobi-gtp PROPERTIES LINK_FLAGS -Wl,--large-address-aware)
endif()
