=== debian/changelog ===
pentobi (8.0-2) unstable; urgency=medium

  * Remove export CC/CXX lines and Build-Depends on g++-4.8 since the default
    compiler is g++-4.9 on release architectures (Closes: #751326).

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 15 Jun 2014 11:51:50 +0300

pentobi (8.0-1) unstable; urgency=medium

  * New upstream release.
  * Use more flexible file extension regex in debian/watch.
  * Symlink duplicates in the whole pentobi binary package.
  * Don’t rebuild images in d/rules, upstream build system now does it.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 06 Mar 2014 09:22:33 +0200
