## pentobi 8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,15 @@
 # Use all lower-case for project name because it is used in
 # CMAKE_INSTALL_DOCDIR of GNUInstallDirs
 project(pentobi)
-set(PENTOBI_VERSION 8.0)
+set(PENTOBI_VERSION 8.2)
 
 if(POLICY CMP0020)
   # Remove once we require CMake 2.8.11
   cmake_policy(SET CMP0020 OLD)
+endif()
+if (POLICY CMP0043)
+  # Avoid warning with CMake 3.0.1
+  cmake_policy(SET CMP0043 NEW)
 endif()
 
 include(CheckIncludeFiles)
