=== src/libboardgame_test_main/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)

add_library(boardgame_test_main STATIC Main.cpp)
