=== debian/changelog ===
pentobi (8.2-1) unstable; urgency=medium

  * New upstream release.
    - Fixes link error on some platforms if Pentobi is compiled with
      PENTOBI_BUILD_TESTS (Closes: #759852).
  * Update Vcs-Browser field.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sat, 06 Sep 2014 09:23:17 +0300
