=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                rdfind,
                symlinks
 Standards-Version: 3.9.5
-Homepage: http://pentobi.sourceforge.net/
+Homepage: http://pentobi.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/pentobi.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/pentobi.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/pentobi.git
 
 Package: pentobi
 Architecture: any
