=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.git:.gitignore

# Optimize with O3 to make the computationally expensive higher levels faster.
export DEB_CXXFLAGS_MAINT_STRIP  = -O2
export DEB_CXXFLAGS_MAINT_APPEND = -O3
# Link “as needed” to minimize the dependencies of the KDE thumbnailer on
# KDE libraries it doesn’t actually use.
export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_BINDIR=/usr/games \
			-DCMAKE_INSTALL_DATADIR=/usr/share/games \
			-DPENTOBI_BUILD_KDE_THUMBNAILER=ON \
			-DPENTOBI_BUILD_TESTS=ON

override_dh_install:
	rm -f debian/tmp/usr/share/doc/pentobi/COPYING
	mv debian/tmp/usr/share/doc/pentobi/NEWS \
			debian/tmp/usr/share/doc/pentobi/changelog
	dh_install
# Replace duplicate files in pentobi binary package with symlinks.
	rdfind -outputname /dev/null -makesymlinks true debian/pentobi
	symlinks -rsc debian/pentobi

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/kde4/pentobi-thumbnail.so

%:
	dh $@ --parallel
