## pentobi 9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Use all lower-case for project name because it is used in
 # CMAKE_INSTALL_DOCDIR of GNUInstallDirs
 project(pentobi)
-set(PENTOBI_VERSION 8.2)
+set(PENTOBI_VERSION 9.0)
 
 if(POLICY CMP0020)
   # Remove once we require CMake 2.8.11
@@ -20,9 +20,20 @@
 option(PENTOBI_BUILD_TESTS "Build unit tests" OFF)
 option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
 option(PENTOBI_BUILD_GUI "Build Qt-based GUI" ON)
-option(PENTOBI_BUILD_KDE_THUMBNAILER
-  "Build thumbnailer for KDE (also requires PENTOBI_BUILD_GUI)" OFF)
+option(PENTOBI_BUILD_QML "Build QtQuick-based GUI" OFF)
+option(PENTOBI_BUILD_KDE_THUMBNAILER "Build thumbnailer for KDE" OFF)
 option(USE_QT5 "Use Qt 5 instead of Qt 4" OFF)
+
+if (PENTOBI_BUILD_KDE_THUMBNAILER AND USE_QT5)
+  message(FATAL_ERROR "PENTOBI_BUILD_KDE_THUMBNAILER requires USE_QT5=0")
+endif()
+if (PENTOBI_BUILD_KDE_THUMBNAILER AND NOT PENTOBI_BUILD_GUI)
+  message(FATAL_ERROR
+    "PENTOBI_BUILD_KDE_THUMBNAILER requires PENTOBI_BUILD_GUI=1")
+endif()
+if (PENTOBI_BUILD_QML AND NOT USE_QT5)
+  message(FATAL_ERROR "PENTOBI_BUILD_QML requires USE_QT5=1")
+endif()
 
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
   message(STATUS "No build type selected, default to Release")
@@ -80,12 +91,19 @@
 
 if(PENTOBI_BUILD_GUI)
   if (USE_QT5)
+    find_package(Qt5Concurrent REQUIRED)
     find_package(Qt5Widgets REQUIRED)
-    find_package(Qt5Concurrent REQUIRED)
     find_package(Qt5LinguistTools REQUIRED)
+    find_package(Qt5Svg REQUIRED)
   else()
     find_package(Qt4 COMPONENTS QtCore QtGui QtSvg REQUIRED)
   endif()
+endif()
+if(PENTOBI_BUILD_QML)
+  find_package(Qt5Concurrent 5.3 REQUIRED)
+  find_package(Qt5Qml 5.3 REQUIRED)
+  find_package(Qt5Gui 5.3 REQUIRED)
+  find_package(Qt5Svg 5.3 REQUIRED)
 endif()
 
 if(UNIX)
@@ -106,4 +124,4 @@
 add_subdirectory(doc)
 add_subdirectory(src)
 add_subdirectory(data)
-add_subdirectory(windows_installer)
+add_subdirectory(windows)
