=== src/libboardgame_mcts/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
   LastGoodReply.h
   Node.h
   PlayerMove.h
-  Search.h
+  SearchBase.h
   Tree.h
   TreeUtil.h
 )
