=== src/libboardgame_test/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)

add_library(boardgame_test STATIC
  Test.h
  Test.cpp
)
