=== src/libboardgame_util/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)

add_library(boardgame_util STATIC
  Abort.h
  Abort.cpp
  ArrayList.h
  Assert.h
  Assert.cpp
  Barrier.h
  Barrier.cpp
  CpuTimeSource.h
  CpuTimeSource.cpp
  Exception.h
  Exception.cpp
  FastLog.h
  FastLog.cpp
  FmtSaver.h
  IntervalChecker.h
  IntervalChecker.cpp
  Log.h
  Log.cpp
  MathUtil.h
  NullElement.h
  NullTermList.h
  Options.h
  Options.cpp
  RandomGenerator.h
  RandomGenerator.cpp
  Statistics.h
  StringUtil.h
  StringUtil.cpp
  TimeIntervalChecker.h
  TimeIntervalChecker.cpp
  Timer.h
  Timer.cpp
  TimeSource.h
  TimeSource.cpp
  Unused.h
  WallTimeSource.h
  WallTimeSource.cpp
)
