=== src/libpentobi_base/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)

set(pentobi_base_STAT_SRCS
  AdjDiagIterator.h
  AdjIterator.h
  BoardConst.h
  BoardConst.cpp
  Board.h
  Board.cpp
  BoardUpdater.h
  BoardUpdater.cpp
  BoardUtil.h
  BoardUtil.cpp
  Book.h
  Book.cpp
  Color.h
  Color.cpp
  ColorMap.h
  ColorMove.h
  DiagIterator.h
  Game.h
  Game.cpp
  GameStateHistory.h
  GameStateHistory.cpp
  Geometry.h
  Grid.h
  Marker.h
  Move.h
  MoveInfo.h
  MoveList.h
  MoveMarker.h
  MovePoints.h
  NodeUtil.h
  NodeUtil.cpp
  PentobiSgfUtil.h
  PentobiSgfUtil.cpp
  PentobiTree.h
  PentobiTree.cpp
  PentobiTreeWriter.h
  PentobiTreeWriter.cpp
  Piece.h
  PieceInfo.h
  PieceInfo.cpp
  PieceMap.h
  PieceTransformsClassic.h
  PieceTransformsClassic.cpp
  PieceTransformsClassic.h
  PieceTransforms.cpp
  PieceTransformsTrigon.h
  PieceTransformsTrigon.cpp
  PlayerBase.h
  PlayerBase.cpp
  Point.h
  PointList.h
  PointState.h
  PointState.cpp
  PrecompMoves.h
  ScoreUtil.h
  Setup.h
  StartingPoints.h
  StartingPoints.cpp
  SymmetricPoints.h
  SymmetricPoints.cpp
  TreeUtil.h
  TreeUtil.cpp
  Variant.h
  Variant.cpp
)

if (PENTOBI_BUILD_GTP)
  set(pentobi_base_STAT_SRCS ${pentobi_base_STAT_SRCS}
    Engine.cpp
    Engine.h
  )
endif()

add_library(pentobi_base STATIC ${pentobi_base_STAT_SRCS})
