=== debian/changelog ===
pentobi (9.0-1) experimental; urgency=medium

  * New upstream release. Upload to experimental.
  * Restructure debian/rules.
  * Do not find and symlink duplicate files, not needed anymore.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Do not install README, which has no useful information.
  * Support noopt in DEB_BUILD_OPTIONS.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 14 Dec 2014 13:52:01 +0200
