=== debian/control ===
--- 
+++ 
@@ -7,10 +7,8 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kdelibs5-dev,
-               libqt4-dev,
-               rdfind,
-               symlinks
-Standards-Version: 3.9.5
+               libqt4-dev
+Standards-Version: 3.9.6
 Homepage: http://pentobi.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/pkg-games/pentobi.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/pentobi.git
