=== debian/rules ===
#!/usr/bin/make -f

# Optimize with O3 to make the computationally expensive higher levels faster.
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  export DEB_CXXFLAGS_MAINT_APPEND = -O3
endif

# Avoid dependencies on unused libraries.
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=/usr/games \
		-DCMAKE_INSTALL_DATADIR=/usr/share/games \
		-DPENTOBI_BUILD_KDE_THUMBNAILER=ON \
		-DPENTOBI_BUILD_TESTS=ON

override_dh_install:
	dh_install -XCOPYING -XNEWS -XREADME

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# The KDE thumbnailer .so file is a plugin.
override_dh_makeshlibs:
